Index: console/src/resources/webconsole.war/WEB-INF/classes/Classloaders.bsh
===================================================================
--- console/src/resources/webconsole.war/WEB-INF/classes/Classloaders.bsh	(revision 73826)
+++ console/src/resources/webconsole.war/WEB-INF/classes/Classloaders.bsh	(working copy)
@@ -1,5 +1,6 @@
 import org.jboss.console.manager.interfaces.*;
 import org.jboss.console.manager.interfaces.impl.*;
+import org.jboss.console.I18n;
 import org.jboss.console.plugins.*;
 import org.jboss.console.plugins.helpers.*;
 
@@ -7,12 +8,12 @@
 
    String getVersion (PluginContext ctx)
    {
-      return "0.0a";
+      return "0.0a"; //$NON-NLS-1$
    }
    
    String getName (PluginContext ctx)
    {
-      return "UCL lister";
+      return I18n.gettext("UCL lister"); //$NON-NLS-1$
    }
 
    ResourceTreeNode createUCLSubResource (PluginContext ctx, ObjectInstance instance)
@@ -20,16 +21,16 @@
       String uclName = instance.getObjectName().getKeyProperty ("UCL");
       TreeNodeMenuEntry[] menus = ctx.createMenus (new String[] 
             {
-               "Before for UCL="+uclName, "before.html&ucl="+uclName,
+               I18n.gettext("Before for UCL={0}", uclName), "before.html&ucl="+uclName, //$NON-NLS-1$ //$NON-NLS-2$
                null,
-               "After", "test.html"
+               I18n.gettext("After"), "test.html" //$NON-NLS-1$ //$NON-NLS-2$
             });
             
       return ctx.createResourceNode ( 
-            "UCL " + uclName, // name
-            "UCL with id " + uclName, // description
-            "arrow.gif", // Icon URL
-            "mapage&ucl=" + uclName, // Default URL
+            I18n.gettext("UCL {0}", uclName), // name //$NON-NLS-1$
+            I18n.gettext("UCL with id {0}", uclName), // description //$NON-NLS-1$
+            "arrow.gif", // Icon URL //$NON-NLS-1$
+            "mapage&ucl=" + uclName, // Default URL //$NON-NLS-1$
             menus,
             null,
             null,
@@ -40,8 +41,8 @@
    ResourceTreeNode[] createUCLSubResources (PluginContext ctx) 
    {
       ObjectInstance[] insts = 
-         ctx.getMBeansForClass("jmx.loading:*", 
-            "org.jboss.mx.loading.UnifiedClassLoader2");
+         ctx.getMBeansForClass("jmx.loading:*",  //$NON-NLS-1$
+            "org.jboss.mx.loading.UnifiedClassLoader2"); //$NON-NLS-1$
       ctx.getLogger().info("TAILLE: " + insts.length);
       ResourceTreeNode[] result = new ResourceTreeNode[10];//[insts.length];
       for (int i=0; i<result.length && i<10; i++)
@@ -60,16 +61,16 @@
       {
          TreeNodeMenuEntry[] menus = ctx.createMenus (new String[] 
                {
-                  "Before", "before.html",
+                  I18n.gettext("Before"), "before.html", //$NON-NLS-1$ //$NON-NLS-2$
                   null,
-                  "After", "after.html"
+                  I18n.gettext("After"), "after.html" //$NON-NLS-1$ //$NON-NLS-2$
                });
 
          return ctx.createTreeNode (
-               "Unified ClassLoaders", // name
-               "Display all JBoss UCLs", // description
-               "http://localhost:8080/web-console/arrow.gif", // Icon URL
-               "http://www.jboss.org/", // Default URL
+               I18n.gettext("Unified ClassLoaders"), // name //$NON-NLS-1$
+               I18n.gettext("Display all JBoss UCLs"), // description //$NON-NLS-1$
+               "http://localhost:8080/web-console/arrow.gif", // Icon URL //$NON-NLS-1$
+               "http://www.jboss.org/", // Default URL //$NON-NLS-1$
                menus,
                null, // sub nodes
                createUCLSubResources (ctx)   // Sub-Resources                  
Index: console/src/resources/webconsole.war/WEB-INF/classes/JNDIView.bsh
===================================================================
--- console/src/resources/webconsole.war/WEB-INF/classes/JNDIView.bsh	(revision 73826)
+++ console/src/resources/webconsole.war/WEB-INF/classes/JNDIView.bsh	(working copy)
@@ -1,5 +1,6 @@
 import org.jboss.console.manager.interfaces.*;
 import org.jboss.console.manager.interfaces.impl.*;
+import org.jboss.console.I18n;
 import org.jboss.console.plugins.*;
 import org.jboss.console.plugins.helpers.*;
 
@@ -10,14 +11,14 @@
       try
       {
          return ctx.createResourceNode (
-               "JNDIView", // name
-               "Viewer for JNDI Tree", // description
-               "images/jndiview.gif", // Icon URL
-               "JNDIView.jsp", // Default URL
+               I18n.gettext("JNDIView"), // name //$NON-NLS-1$
+               I18n.gettext("Viewer for JNDI Tree"), // description //$NON-NLS-1$
+               "images/jndiview.gif", // Icon URL //$NON-NLS-1$
+               "JNDIView.jsp", // Default URL //$NON-NLS-1$
                null,
                null,
                null,
-               new SimpleFolderResource ("ROOT/JNDIView"));
+               new SimpleFolderResource ("ROOT/JNDIView")); //$NON-NLS-1$
       }
       catch (Exception e)
       {
Index: console/src/resources/webconsole.war/WEB-INF/classes/SystemFolder.bsh
===================================================================
--- console/src/resources/webconsole.war/WEB-INF/classes/SystemFolder.bsh	(revision 73826)
+++ console/src/resources/webconsole.war/WEB-INF/classes/SystemFolder.bsh	(working copy)
@@ -1,5 +1,6 @@
 import org.jboss.console.manager.interfaces.*;
 import org.jboss.console.manager.interfaces.impl.*;
+import org.jboss.console.I18n;
 import org.jboss.console.plugins.*;
 import org.jboss.console.plugins.helpers.*;
 
@@ -10,14 +11,14 @@
       try
       {
          return ctx.createResourceNode ( 
-               "System", // name
-               "JBoss Kernel Management", // description
-               "images/settings32.gif", // Icon URL
-               "SysProperties.jsp", // Default URL
+               I18n.gettext("System"), // name //$NON-NLS-1$
+               I18n.gettext("JBoss Kernel Management"), // description //$NON-NLS-1$
+               "images/settings32.gif", // Icon URL //$NON-NLS-1$
+               "SysProperties.jsp", // Default URL //$NON-NLS-1$
                null,
                null,
                null,
-               new SimpleFolderResource ("ROOT/System"));
+               new SimpleFolderResource ("ROOT/System")); //$NON-NLS-1$
       }
       catch (Exception e)
       {
Index: console/src/resources/webconsole.war/WEB-INF/classes/J2EEFolder.bsh
===================================================================
--- console/src/resources/webconsole.war/WEB-INF/classes/J2EEFolder.bsh	(revision 73826)
+++ console/src/resources/webconsole.war/WEB-INF/classes/J2EEFolder.bsh	(working copy)
@@ -1,5 +1,6 @@
 import org.jboss.console.manager.interfaces.*;
 import org.jboss.console.manager.interfaces.impl.*;
+import org.jboss.console.I18n;
 import org.jboss.console.plugins.*;
 import org.jboss.console.plugins.helpers.*;
 
@@ -10,14 +11,14 @@
       try
       {
          return ctx.createResourceNode ( 
-               "J2EE", // name
-               "J2EE Management", // description
-               "images/elements32.gif", // Icon URL
+               I18n.gettext("J2EE"), // name //$NON-NLS-1$
+               I18n.gettext("J2EE Management"), // description //$NON-NLS-1$
+               "images/elements32.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL
                null,
                null,
                null,
-               new SimpleFolderResource ("ROOT/J2EE")).setVisibility(ResourceTreeNode.INVISIBLE_IF_SUBNODE_EXISTS);
+               new SimpleFolderResource ("ROOT/J2EE")).setVisibility(ResourceTreeNode.INVISIBLE_IF_SUBNODE_EXISTS); //$NON-NLS-1$
       }
       catch (Exception e)
       {
Index: console/src/resources/webconsole.war/EntityEjb.jsp
===================================================================
--- console/src/resources/webconsole.war/EntityEjb.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/EntityEjb.jsp	(working copy)
@@ -1,3 +1,4 @@
+<%@page import="org.jboss.console.I18n"%>
 <%@ taglib uri="/webconsole" prefix="jb" %>
 <jb:mbean id="ejb" intf="org.jboss.management.j2ee.EntityBeanMBean" />
 <jb:mbean id="container" mbean='<%="jboss.j2ee:service=EJB,jndiName=" + (new javax.management.ObjectName(request.getParameter("ObjectName")).getKeyProperty ("name"))%>' intf="org.jboss.ejb.ContainerMBean" />
@@ -33,22 +34,22 @@
 	String start = new java.util.Date(stat.getStartTime ()).toString ();
 	String lastSample = new java.util.Date(stat.getLastSampleTime ()).toString ();
 	
-	String result = "<tr><td width=\"25%\"><font size=\"1\">" + stat.getName() + " (unit: " + stat.getUnit () + ")</font></td>" +
-	                "<td width=\"25%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"><tr>";
+	String result = "<tr><td width=\"25%\"><font size=\"1\">" + stat.getName() + " ("+I18n.gettext("unit: ") + stat.getUnit () + ")</font></td>" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+	                "<td width=\"25%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"><tr>"; //$NON-NLS-1$
 	                
 	if (stat instanceof javax.management.j2ee.statistics.CountStatistic)
 	{
-		result+= "<td width=\"33%\" align=\"center\"><font size=\"1\">" + ((javax.management.j2ee.statistics.CountStatistic)stat).getCount() + "</font></td><td width=\"33%\"></td><td width=\"34%\"></td>";
-    }
+		result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + ((javax.management.j2ee.statistics.CountStatistic)stat).getCount() + "</font></td><td width=\"33%\"></td><td width=\"34%\"></td>"; //$NON-NLS-1$ //$NON-NLS-2$
+   }
 	else if (stat instanceof javax.management.j2ee.statistics.RangeStatistic)
 	{
 		javax.management.j2ee.statistics.RangeStatistic rStat = (javax.management.j2ee.statistics.RangeStatistic)stat;
 		
-		result+= "<td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getCurrent ()  + "</font></td><td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getLowWaterMark () + "</font></td>" +
-				 "<td width=\"34%\" align=\"center\"><font size=\"1\">" + rStat.getHighWaterMark() + "</font></td>";
+		result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getCurrent ()  + "</font></td><td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getLowWaterMark () + "</font></td>" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				    "<td width=\"34%\" align=\"center\"><font size=\"1\">" + rStat.getHighWaterMark() + "</font></td>"; //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
-	result+= "</tr></table></td><td width=\"25%\"><font size=\"1\">" + start + "</font></td><td width=\"25%\"><font size=\"1\">" + lastSample + "</font>&nbsp;</td></tr>";
+	result += "</tr></table></td><td width=\"25%\"><font size=\"1\">" + start + "</font></td><td width=\"25%\"><font size=\"1\">" + lastSample + "</font>&nbsp;</td></tr>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	
 	return result;
 
@@ -58,13 +59,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Entity Bean</title>
+<title>${messages["JBoss Management Console - Entity Bean"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -74,12 +75,12 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 831; height: 247">
-			<h3>Entity Bean</h3>
-				<h4>Name</h4>
-					<p><%=beanMetaData.getEjbName()%> (JNDI: <%=ejbName%>)</p>
-				<h4>EJB Module</h4>
+			<h3>${messages["Entity Bean"]}</h3>
+				<h4>${messages["Name"]}</h4>
+					<p><%=beanMetaData.getEjbName()%> (${messages["JNDI: "]}<%=ejbName%>)</p>
+				<h4>${messages["EJB Module"]}</h4>
 					<p><%=ejbModule %></p>
-				<h4>Bean Statistics:</h4>
+				<h4>${messages["Bean Statistics:"]}</h4>
 					<p>&nbsp;</p>
 <%
 if (ejb.isstatisticsProvider())
@@ -88,29 +89,29 @@
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Name</h4>
+                    <h4 style="text-align: center">${messages["Name"]}</h4>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Value</h4>
+                    <h4 style="text-align: center">${messages["Value"]}</h4>
                     <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber3">
                       <tr>
                         <td width="33%">
-                        <h4 style="text-align: center">Current</h4>
+                        <h4 style="text-align: center">${messages["Current"]}</h4>
                         </td>
                         <td width="33%">
-                        <h4 style="text-align: center">Low</h4>
+                        <h4 style="text-align: center">${messages["Low"]}</h4>
                         </td>
                         <td width="34%">
-                        <h4 style="text-align: center">High</h4>
+                        <h4 style="text-align: center">${messages["High"]}</h4>
                         </td>
                       </tr>
                     </table>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Start Time</h4>
+                    <h4 style="text-align: center">${messages["Start Time"]}</h4>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Last Sample Time</h4>
+                    <h4 style="text-align: center">${messages["Last Sample Time"]}</h4>
                     </td>
                   </tr>
 	<%
@@ -122,19 +123,19 @@
 	<%=addStatRow (stats.getPooledCount ()) %>
 
             </table>
-            <p align="center"><a href="<%=resetUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 <%
 }
 else
 {
 %>				
-					<p>none.</p>
+					<p>${messages["none."]}</p>
 <%
 }
 %>				
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
-				<h4>Invocation Statistics:</h4>
+				<h4>${messages["Invocation Statistics:"]}</h4>
 					<p>&nbsp;</p>
 <%
 	java.util.Iterator iterInvoc = invokeStats.getStats().entrySet().iterator();
@@ -146,22 +147,22 @@
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td  align="center">
-                    <h4 style="text-align: center">Method name</h4>
+                    <h4 style="text-align: center">${messages["Method name"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Min (ms)</h4>
+                    <h4 style="text-align: center">${messages["Min (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Max (ms)</h4>
+                    <h4 style="text-align: center">${messages["Max (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Average (ms)</h4>
+                    <h4 style="text-align: center">${messages["Average (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Total (ms)</h4>
+                    <h4 style="text-align: center">${messages["Total (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center"># Invocations</h4>
+                    <h4 style="text-align: center">${messages["# Invocations"]}</h4>
                     </td>
                   </tr>
 				<%
@@ -195,23 +196,24 @@
                   }
                   %>
             </table>
-            <p align="center"><a href="<%=resetInvocUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetInvocUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 <%
 	}
 	else
 	{
 %>	 
-					<p>none.</p>
+					<p>${messages["none."]}</p>
 <%
 	}
 %>
 
 					<p>&nbsp;</p>
-               <p>Actual concurrent invocations: <%=invokeStats.concurrentCalls%> (max: <%=invokeStats.maxConcurrentCalls%>)</p>
+               <p>${messages["Actual concurrent invocations: "]}<%=invokeStats.concurrentCalls%> 
+               (${messages["max: "]}<%=invokeStats.maxConcurrentCalls%>)</p>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
-					<p><a href="<%=containerUrl%>">View associated container MBean</a></p>
+					<p><a href="<%=containerUrl%>">${messages["View associated container MBean"]}</a></p>
 		</div>
 		<div class="spacer"><hr/></div>
 	</div>
@@ -221,7 +223,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/TopicNavigation.jsp
===================================================================
--- console/src/resources/webconsole.war/TopicNavigation.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/TopicNavigation.jsp	(working copy)
@@ -4,6 +4,6 @@
 	String objParameter = "ObjectName=" + URLEncoder.encode(request.getParameter("ObjectName")); 
 %>
 <jb:navigation selectedTabName="<%=request.getParameter("selectedTabName")%>">
-		<jb:tab name="JMS Topic" href="<%="Topic.jsp?" + objParameter%>" />
-		<jb:tab name="Subscriptions" href="<%="TopicSubscriptions.jsp?" + objParameter%>" />	
+		<jb:tab name="${messages[\"JMS Topic\"]}" href="<%="Topic.jsp?" + objParameter%>" />
+		<jb:tab name="${messages[\"Subscriptions\"]}" href="<%="TopicSubscriptions.jsp?" + objParameter%>" />	
 </jb:navigation>
\ No newline at end of file
Index: console/src/resources/webconsole.war/EJB.jsp
===================================================================
--- console/src/resources/webconsole.war/EJB.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/EJB.jsp	(working copy)
@@ -3,6 +3,7 @@
 
 <%
    String ejbName = new javax.management.ObjectName(request.getParameter("ObjectName")).getKeyProperty ("name");
+	pageContext.setAttribute("ebjName", ejbName);
    String containerUrl = "jboss.j2ee:service=EJB,jndiName=" + ejbName;
    containerUrl = java.net.URLEncoder.encode(containerUrl);
    containerUrl = "../jmx-console/HtmlAdaptor?action=inspectMBean&name=" + containerUrl;
@@ -10,32 +11,32 @@
 <html>
 <META HTTP-EQUIV="expires" CONTENT="0"/>
 <head>
-<title>EJB: <%=ejbName%></title>
+<title>${messages["EJB: {0}"][ejbName]}</title>
 </head>
 
   <body>
   
-  <h1><center>EJB '<%=ejbName%>'</center></h1>
+  <h1><center>${messages["EJB: ''{0}''"][ejbName]}</center></h1>
   
   <p/>
   <p/>
   
   <table border="1">
    <tr>
-      <td><b>Management Object Name:</b></td>
+      <td><b>${messages["Management Object Name:"]}</b></td>
    </tr>
    <tr>
       <td><%=ejb.getobjectName()%>&nbsp;</td>
    </tr>
    <tr>
-      <td><b>Provides Statistics:</b></td>
+      <td><b>${messages["Provides Statistics:"]}</b></td>
    </tr>
    <tr>
       <td><%=ejb.isstatisticsProvider()%>&nbsp;</td>
    </tr>
   </table>
 
-   <a href="<%=containerUrl%>">Visit associated container MBean...</a>
+   <a href="<%=containerUrl%>">${messages["Visit associated container MBean..."]}</a>
 
   </body>
 
Index: console/src/resources/webconsole.war/EJBModule.jsp
===================================================================
--- console/src/resources/webconsole.war/EJBModule.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/EJBModule.jsp	(working copy)
@@ -4,35 +4,36 @@
 
 <%
    String moduleName = new ObjectName(module.getobjectName()).getKeyProperty ("name");
+	pageContext.setAttribute("moduleName", moduleName);
 %>
 <html>
 <META HTTP-EQUIV="expires" CONTENT="0"/>
 <head>
-<title>EJB-Module: <%=moduleName%></title>
+<title>${messages["EJB-Module: {0}"][moduleName]}</title>
 </head>
 
   <body>
   
-  <h1><center>EJB-Module '<%=moduleName%>'</center></h1>
+  <h1><center>${messages["EJB-Module ''{0}''"][moduleName]}</center></h1>
   
   <p/>
   <p/>
   
   <table border="1">
    <tr>
-      <td><b>Management Object Name:</b></td>
+      <td><b>${messages["Management Object Name:"]}</b></td>
    </tr>
    <tr>
       <td><%=module.getobjectName()%></td>
    </tr>
    <tr>
-      <td><b>Provides Statistics:</b></td>
+      <td><b>${messages["Provides Statistics:"]}</b></td>
    </tr>
    <tr>
       <td><%=module.isstatisticsProvider()%></td>
    </tr>
    <tr>
-      <td><b>Deployment Descriptor:</b></td>
+      <td><b>${messages["Deployment Descriptor:"]}</b></td>
    </tr>
    <tr>
       <td><pre><%=org.jboss.console.plugins.helpers.servlet.ServletHelper.filter(module.getdeploymentDescriptor())%></pre></td>
Index: console/src/resources/webconsole.war/listMonitors.jsp
===================================================================
--- console/src/resources/webconsole.war/listMonitors.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/listMonitors.jsp	(working copy)
@@ -7,6 +7,7 @@
                  javax.management.ObjectName,
                  java.util.HashSet,
                  java.util.ArrayList"%>
+<%@page import="org.jboss.console.I18n"%>
  <%--
  |
  |  Author: Bill Burke    (bill@jboss.org)
@@ -22,13 +23,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Manage Monitor</title>
+<title>${messages["JBoss Management Console - Manage Monitor"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -38,72 +39,72 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>Monitors and Monitor Status</h3>
+			<h3>${messages["Monitors and Monitor Status"]}</h3>
 					<p>&nbsp;</p>
 <table cellspacing="2" cellpadding="2" border="1">
 <tr>
-    <td><b>Status</b></td>
-    <td><b>Monitor Name</b></td>
-    <td><b>Observed MBean</b></td>
-    <td><b>Observed Attribute</b></td>
+    <td><b>${messages["Status"]}</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
+    <td><b>${messages["Observed MBean"]}</b></td>
+    <td><b>${messages["Observed Attribute"]}</b></td>
     <td>&nbsp;</td>
 </tr>
 <%
    MBeanServer mbeanServer = MBeanServerLocator.locateJBoss();
    InstanceOfQueryExp queryExp = null;
-   queryExp = new InstanceOfQueryExp("org.jboss.monitor.JBossMonitorMBean");
+   queryExp = new InstanceOfQueryExp("org.jboss.monitor.JBossMonitorMBean"); //$NON-NLS-1$
    Set monitors = mbeanServer.queryNames(null, queryExp);
    Iterator mbeans = monitors.iterator();
    boolean someAlertSet = false;
    while (mbeans.hasNext())
    {
       ObjectName moname = (ObjectName)mbeans.next();
-      String monitorName = (String)mbeanServer.getAttribute(moname, "MonitorName");
-      ObjectName observedObject = (ObjectName)mbeanServer.getAttribute(moname, "ObservedObject");
-      String attribute = (String)mbeanServer.getAttribute(moname, "ObservedAttribute");
-      boolean enabled = ((Boolean)mbeanServer.getAttribute(moname, "Enabled")).booleanValue();
+      String monitorName = (String)mbeanServer.getAttribute(moname, "MonitorName"); //$NON-NLS-1$
+      ObjectName observedObject = (ObjectName)mbeanServer.getAttribute(moname, "ObservedObject"); //$NON-NLS-1$
+      String attribute = (String)mbeanServer.getAttribute(moname, "ObservedAttribute"); //$NON-NLS-1$
+      boolean enabled = ((Boolean)mbeanServer.getAttribute(moname, "Enabled")).booleanValue(); //$NON-NLS-1$
 
-      Object[] args = {"monitors", monitorName, "-service.xml"};
-      String[] signature = {"java.lang.String", "java.lang.String", "java.lang.String"};
-      Object rtn = mbeanServer.invoke(new ObjectName("jboss.admin:service=DeploymentFileRepository"), "isStored", args, signature);
+      Object[] args = {"monitors", monitorName, "-service.xml"}; //$NON-NLS-1$ //$NON-NLS-2$
+      String[] signature = {"java.lang.String", "java.lang.String", "java.lang.String"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+      Object rtn = mbeanServer.invoke(new ObjectName("jboss.admin:service=DeploymentFileRepository"), "isStored", args, signature); //$NON-NLS-1$ //$NON-NLS-2$
       boolean persisted = ((Boolean)rtn).booleanValue();
 
       Object[] nullArgs = {};
       String[] nullSig = {};
-      boolean alerted = ((Boolean)mbeanServer.invoke(moname, "alerted", nullArgs, nullSig)).booleanValue();
+      boolean alerted = ((Boolean)mbeanServer.invoke(moname, "alerted", nullArgs, nullSig)).booleanValue(); //$NON-NLS-1$
       if (alerted) someAlertSet = true;
-      String color = "black";
-      if (!enabled) color = "grey";
-      String status = "";
+      String color = "black"; //$NON-NLS-1$
+      if (!enabled) color = "grey"; //$NON-NLS-1$
+      String status = ""; //$NON-NLS-1$
       if (alerted)
       {
-         status = "<font color=\"red\">ALERT</font>";
+         status = "<font color=\"red\">"+I18n.gettext("ALERT")+"</font>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
       }
       else if (!enabled)
       {
-         status = "<font color=\"grey\"><i>disabled</i></font>";
+         status = "<font color=\"grey\"><i>"+I18n.gettext("disabled")+"</i></font>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
       }
       else
       {
-         status = "<font color=\"green\">OK</font>";
+         status = "<font color=\"green\">"+I18n.gettext("OK")+"</font>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
       }
       String link = null;
       if (persisted)
       {
-         link = "manageThresholdMonitor.jsp?monitorObjectName=" + java.net.URLEncoder.encode(moname.toString());
+         link = "manageThresholdMonitor.jsp?monitorObjectName=" + java.net.URLEncoder.encode(moname.toString()); //$NON-NLS-1$
       }
       else
       {
-         link = "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + java.net.URLEncoder.encode(moname.toString());
+         link = "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + java.net.URLEncoder.encode(moname.toString()); //$NON-NLS-1$
       }
-      String observedMbeanLink = "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + java.net.URLEncoder.encode(observedObject.toString());
+      String observedMbeanLink = "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + java.net.URLEncoder.encode(observedObject.toString()); //$NON-NLS-1$
 %>
 <tr>
     <td><%=status%></td>
     <td><font color="<%=color%>"><%=monitorName%></font></td>
     <td><font color="<%=color%>"><a href="<%=observedMbeanLink%>"><%=observedObject.toString()%></a></font></td>
     <td><font color="<%=color%>"><%=attribute%></font></td>
-    <td><a href="<%=link%>">manage</a></td>
+    <td><a href="<%=link%>">${messages["manage"]}</a></td>
 </tr>
 <%
    }
@@ -114,14 +115,14 @@
    {
 %>
 <form action="ClearMonitorAlerts" method="post">
-<input type="submit" name="action" value="Clear All Alerts">
+<input type="submit" name="action" value="${messages['Clear All Alerts']}">
 </form>
 <%
    }
 }
 catch (Exception ex)
 {
-   %> ERROR in parsing <%
+   %> ${messages["ERROR in parsing"]} <%
    ex.printStackTrace();
 }
 %>
@@ -134,7 +135,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
